%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

# Build the programs like cjpeg, etc.
# https://bugzilla.redhat.com/show_bug.cgi?id=467401#c7
%global build_programs 0

Name:           mingw32-libjpeg
Version:        7
Release:        2%{?dist}
Summary:        MinGW Windows Libjpeg library

License:        IJG
URL:            http://www.ijg.org/
Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0:        http://www.ijg.org/files/jpegsrc.v%{version}.tar.gz

Patch5:         libjpeg-buf-oflo.patch

Patch101:       jpeg-workaround-typedef-conflict.patch
Patch102:       jpeg-fix-typo.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-zlib
BuildRequires:  autoconf, libtool


%description
MinGW Windows Libjpeg library.


%package static
Summary:        Static version of the MinGW Windows Libjpeg library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows Libjpeg library.


%{_mingw32_debug_package}


%prep
%setup -q -n jpeg-%{version}

%patch5 -p1 -b .oflo

%patch101 -p0
%patch102 -p0


%build
%{_mingw32_configure} --enable-shared --enable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mingw32_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mingw32_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mingw32_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mingw32_mandir}/man1

%{_mingw32_makeinstall}

# Remove manual pages which duplicate Fedora native.
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}

pushd $RPM_BUILD_ROOT%{_mingw32_bindir}
# Remove win32 native binaries if wanted
%if %build_programs == 0
   rm -f *.exe
%endif
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%if %build_programs
%{_mingw32_bindir}/i686-pc-mingw32-cjpeg.exe
%{_mingw32_bindir}/i686-pc-mingw32-djpeg.exe
%{_mingw32_bindir}/i686-pc-mingw32-jpegtran.exe
%{_mingw32_bindir}/i686-pc-mingw32-rdjpgcom.exe
%{_mingw32_bindir}/i686-pc-mingw32-wrjpgcom.exe
%endif
%{_mingw32_bindir}/libjpeg-7.dll
%{_mingw32_includedir}/jconfig.h
%{_mingw32_includedir}/jerror.h
%{_mingw32_includedir}/jmorecfg.h
%{_mingw32_includedir}/jpeglib.h
%{_mingw32_libdir}/libjpeg.dll.a
%{_mingw32_libdir}/libjpeg.la

%files static
%defattr(-,root,root,-)
%{_mingw32_libdir}/libjpeg.a


%changelog
* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 7-2
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Thu Aug 27 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 7-1
- Update to version 7
- Resolves typedef conflict (BZ #497492)
- Use %%global instead of %%define
- Automatically generate debuginfo subpackage
- Fixed %%defattr line
- Added -static subpackage
- Dropped upstreamed patches
- Dropped autoconf stuff
- Fixed a comment typo

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6b-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6b-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 6b-9
- Rebuild for mingw32-gcc 4.4

* Wed Jan 28 2009 Richard W.M. Jones <rjones@redhat.com> - 6b-8
- Exclude the binaries.
- Rename the binaries to *.exe (Levente Farkas).

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 6b-7
- Disable static libraries.
- Use _smp_mflags.
- Update for new libtool 2.
- +BR mingw32-dlfcn.
- Added documentation (README includes the license).

* Thu Nov 20 2008 Richard W.M. Jones <rjones@redhat.com> - 6b-6
- Don't set libdir in the make step.
- Fix path to mandir.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 6b-5
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 6b-4
- Switch to tar.bz2 source, and rename configure.in

* Sun Sep 21 2008 Daniel P. Berrange <berrange@redhat.com> - 6b-3
- Fix URL.
- Remove manpages which duplicate Fedora native.

* Wed Sep 10 2008 Daniel P. Berrange <berrange@redhat.com> - 6b-2
- Rename configure.in with a prefix.
- Remove static library.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 6b-1
- Initial RPM release
